package javaapplication10;
import java.io.*; import java.net.*;
public class EchoClient{
    //  Comunicacion con el humano 
    String entrada;         // lo que el operador digita en el teclado
    String salida;          // lo que me devuelve el servidor, lo mostrare en pantalla
    BufferedReader teclado = new BufferedReader(new InputStreamReader(System.in));//recibo del teclado
//  Comunicacion con el servidor
    BufferedReader in;      // el flujo de entrada desde EchoServer 
    PrintWriter   out;      // el flujo de salida  hacia EchoServer
    Socket cliente;         // Referencia al puerto de   EchoServer
    
    public void tarea(){
      try{  
         cliente = new Socket("Localhost",8189);   // Instanciamos un objeto cliente   
                                                    // informando su direccion remota y puerto 
         in = new BufferedReader                    // Instanciamos un objeto in para establecer
            (new InputStreamReader(cliente.getInputStream()));    //  el flujo desde el servidor
         out = new PrintWriter 		// Instanciamos un objeto out para establecer
            (cliente.getOutputStream(), true); // el flujo hacia el servidor
         int contFrases = 0;
         System.out.println("Aqui EchoClient, presente ...");
         System.out.println("Tipee cualquier frase, por favor");
         System.out.println("Para salir, tipee Adios<Enter>");
         boolean done = false;
         while (!done){          //  Ciclo de lectura y proceso en el servidor
            contFrases++; 
            System.out.println("Cual es la frase Nro "+contFrases+" ?");
            entrada = teclado.readLine();
            if (entrada.trim().equals("Adios")) done = true; // irse ...
            System.out.println("==> server: "+entrada);// Lo que recibo de teclado
            out.println(entrada);  // La envio al servidor ThreadedEchoServer
            salida = in.readLine(); // leo lo que EchoServer me devuelve
            System.out.println("server ==>: "+salida); // y muestro por pantalla
            if (done){ 
                System.out.println("Cerramos conexion, nos vamos ...");
                cliente.close();
                break; // Nos vamos...
            }    
         }  //    while
      }catch (IOException e){e.printStackTrace();}
    }   //  tarea()
    
    public static void main(String[] args){
        EchoClient client = new EchoClient();
        client.tarea();
   }
}
