package com.modelo;

import java.util.ArrayList;

public class Carta {

	/*<Comida> sta expresion usada de la forma que se muestra, permite
	 * asegurar que los datos que se van a almacenar van a ser compatibles 
	 * con un determinado tipo, en este caso "Comida". A sto se lo llama "Generics" 
	 * y es utilzado en las ltimas versiones del jdk(5.0 en adelante)*/
	private ArrayList carta=new ArrayList<Comida>();

	public Carta() {
		carta.add(new Comida("Amburguesas, cja 10 Un", 10.00f));
		carta.add(new Comida("Fideos Macarron, pk 1 kg", 1.99f));
		carta.add(new Comida("Cerveza BadHein, env 780cc", 2.80f));
		carta.add(new Comida("Falda (Especial), kg,", 3.50f));
		carta.add(new Comida("Bife lomo tern, kg", 12.50f));
		carta.add(new Comida("Pan Frances kg", 2.00f));
		carta.add(new Comida("Polenta PrestPres 1/2 kg", 1.60f));
		carta.add(new Comida("Fideos Felippillo 1/2 kg", 1.20f));
		carta.add(new Comida("Tinto FacuRelli, 1 lt", 2.80f));
		carta.add(new Comida("Salch. VienAus, pk 200 grs", 2.70f));

	}

	public ArrayList getCarta() {
		return carta;
	}

	public void setCarta(ArrayList carta) {
		this.carta = carta;
	}

	public Comida getComida(int index) {
		return (Comida)carta.get(index);
	}

}
