import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class FechaHora extends HttpServlet
{
   // Manipular la peticin enviada por el cliente
   // utilizando el atributo method=get.
  protected void doGet(HttpServletRequest request,
                       HttpServletResponse response)throws ServletException, IOException{
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    out.println("<html>");
    out.println("<head>");
    out.println("<title>Servlet Saludo</title>");
    out.println("</head>");
    out.println("<body>");
    out.println("<center>");
    Random rnd = new Random();
    int tamao;
    for (int i = 1; i <= 7; ++i){
      tamao = rnd.nextInt(7)+1;
      out.println("<font size="+tamao+" color=blue>");
      out.println("Hola mundo!!!"+tamao);
      out.println("<br>");
    }
    out.println("<br>");
    
    Calendar fechahora = new GregorianCalendar();
    tamao = rnd.nextInt(7)+1;
    out.println("<font size="+tamao+">");
    out.println("<font color=green>");
    out.println("Son las  " + 
                fechahora.get(Calendar.HOUR_OF_DAY) + ":" +
                fechahora.get(Calendar.MINUTE) + ":" +
                fechahora.get(Calendar.SECOND) );
    out.println("<br>");
    out.println("<font color=gray>");
    out.println("Del da " +
                fechahora.get(Calendar.DAY_OF_MONTH) + "/" +
                (fechahora.get(Calendar.MONTH)+1) + "/" +
                fechahora.get(Calendar.YEAR) );
    out.println("</font>");
    out.println("</center>");
    out.println("</body>");
    out.println("</html>");
    out.close();
  }
  
  // Devuelve una descripcin breve.
  public String getServletInfo()
  {
    return "Servlet Saludo";
  }
}
