import java.io.*;
import java.net.*;
import java.util.*;

/**
 *   Este programa conecta con el URL solicitado por el operador, o con
 *  java.sun.com si no se informa nada. 
 *  Utiliza los metodos vistos para exhibir datos de la cabecera,
 *  y las diez primeras lineas de los datos requeridos.
*/
public class URLConnectionTest{  
   public static void main(String[] args){
      String urlName  = null; 
      try{
         System.out.println("Que URL desea Ud investigar?");
         urlName = In.readLine();
         if (urlName == null)urlName  = "http://www.java.sun.com";
         System.out.println("Investigaremos ==> "+urlName);
         URL url = new URL(urlName);
         URLConnection connection = url.openConnection();

         int n = 1;
         String key;

         System.out.println("Van campos de cabecera");
         while ((key = connection.getHeaderFieldKey(n)) != null){  
            String value = connection.getHeaderField(n);
            System.out.println(key + ": " + value);
            n++;
         }
         System.out.println("Fin campos de cabecera");
         System.out.println("");

         System.out.println("Van 10 lineas del archivo de definicion del URL");
         BufferedReader in = new BufferedReader(new
            InputStreamReader(connection.getInputStream()));
         String line;
         n = 1;
         while ((line = in.readLine()) != null && n <= 10){  
            System.out.println(line);
            n++;
         }
         if (line != null)
             System.out.println("Fin 10 lineas del archivo de definicion");
      }
      catch (IOException exception)
      {  
         exception.printStackTrace();
      }
   }
}

