package javaapplication11;
import java.io.*;
import java.net.*;
/**
   Este programa hace lo mismo que EchoServer, solo que con tantos clientes
   como se conecten. Para cada EchoClient se abre un hilo ThreadedEchoHandler
*/
public class ThreadedEchoServer{
    ServerSocket server;
    Socket incoming;
    String revLine;
    public String reverse(String linea){
        revLine = "";
        for(int i = linea.length()-1;i>=0;i--)
            revLine+=linea.charAt(i);
        return revLine;     
    } 
    public void tarea(){
        int hilo = 1;   // Control de hilos
        try{
            server = new ServerSocket(8189);// servidor escucha pto 8189; 
            for(;;){
                incoming = server.accept( );// espera indefinidamente       
                System.out.println("Lanzando hilo "+hilo);
                Thread t = new ThreadedEchoHandler(incoming, hilo,this);
                t.start();
                hilo++;
            }
        }
        catch (Exception e){e.printStackTrace();}
    }   // tarea
    
    public static void main(String[] args )throws IOException{
        ThreadedEchoServer server = new ThreadedEchoServer();
        server.tarea();
   } //  public static void main
}   //  public class ThreadedEchoServer
    
class ThreadedEchoHandler extends Thread{ 
   private Socket incoming;
   private int hilo;
   private ThreadedEchoServer server;
   
   public ThreadedEchoHandler(Socket i, int hilo, ThreadedEchoServer server){ 
      incoming = i; this.hilo = hilo; this.server = server;
   }

   public void run(){  
      try{
          // Flujo de entrada del servidor) 
          BufferedReader in = new BufferedReader
             (new InputStreamReader(incoming.getInputStream()));
            
          // Flujo de salida del servidor
          PrintWriter out = new PrintWriter
              (incoming.getOutputStream(), true /* autoFlush */);
          int contFrases = 0;
          System.out.println("Aqui ThreadedEchoHandler, hilo "+hilo);
          System.out.println("Listo para la tarea ...");

            // Ciclo de entrada / salida
          boolean done = false;
          while (!done){
              String entrada = in.readLine(), revLine;
              System.out.println("cliente ==> "+entrada);// recibo del ciente
              if (entrada.trim().equals("Adios")) done = true;
              System.out.println("==> cliente "+(revLine = server.reverse(entrada)));
              out.println("(Hilo "+hilo+") "+revLine);         
              if (done){
                  System.out.println("Cierro conexion con cliente "+hilo);
                  incoming.close();//  Liberar el puerto !!!
                  break;
              }
          }   //  while
      }
      catch (Exception e){e.printStackTrace();}
   }    //  void run
}       //  class ThreadedEchoHandler

